1. Chargebacks
  • Developer Docs Ecuador 🇪🇨
  • Online Payments
    • Release Notes
    • Card Payments
      • Request a card token
      • Make a charge or deferred charge
      • Refund a transaction
      • Void a transaction
      • Request deferred options
      • Validate OTP
      • Bin Info V2
      • Bin Info
    • One Click and Scheduled Payments
      • Request a recurring charge token
      • Create a recurring charge
      • Update recurring charge card data
      • Make an One-click payment
      • Cancel a recurring charge
      • Update a recurring charge
      • Add a temporary charge or discount
      • Get recurring charge Info
    • Chargebacks
      • Query chargebacks
        POST
      • Request chargeback export
        POST
    • Subscription Transactions
      • Get subscription transactions
    • Transfer in
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Cash in
      • Request a cash in token
      • Init Transaction
      • Update a cash in transaction
      • Transaction Status
      • Delete a cash in transaction
    • Smartlinks
      • Create a Smartlink
      • Update a Smartlink
      • Get a Smartlink
      • Delete a smartlink
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Status
      • Get gateway status
      • Get platform status
    • Commissions
      • Get Commission Configuration
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Activate or deactivate
      • Delete credential
      • Update credential
      • Regenerate a credential
      • Advanced search
    • Payment Button
      • Create a payment button
    • Settlement
      • Query settlement
  • Appian - Submerchant Register
    • Submerchant Validation in Batch
    • Query submerchant status by requestId/submerchantId
    • Get submerchantIds
    • Get credentials for submerchants
  • Schemas
    • threeDomainSecure
    • webhooks
    • Card-old
    • Channel
    • Amount-cash-in
    • ChargebackListResponse
    • StatusComponent
    • SettlementDateRangeRequest
    • SubscriptionTransactionsResponse
    • Card
    • currency
    • networkToken
    • ChargebackItem
    • ErrorResponse
    • SettlementTicketRequest
    • SubscriptionTransaction
    • Subscription
    • Amount
    • ErrorResponse400
    • SettlementResponse
    • extraTaxes
    • Country
    • ErrorResponse401
    • SettlementRecord
    • Language
    • Deferred
    • ErrorResponse403
    • Metadata
    • payment_method
    • ErrorResponse500
    • ContactDetails
    • documentType
    • orderDetails
    • Shipping Address
    • Billing-Address
    • payment_submethod
    • SubscriptionUpdate
    • product
    • SubscriptionAdjustmentRequest
    • threeDomainSecure
    • webhooks
    • headers
    • webhooksChargeback
    • citMit
    • network
    • binInfo
    • messageFields
    • UnexpectedErrorResponse
    • ExternalReferenceId
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
  1. Chargebacks

Query chargebacks

POST
/data/v1/chargebacks/search
Returns a paginated list of chargebacks associated with the authenticated merchant.

Filters object#

Use the filters object to narrow results by transaction_date, request_date, chargeback_status, country_name, chargeback_type, ticket_code, or chargeback_ticket_code.

Time Filter#

The time filter is required and works as follows:
Send either transaction_date or request_date
Sending both returns an error.
The maximum allowed date window is 3 months.

Fields array#

The fields array allows you to request additional fields beyond the default response set. If fields is omitted, only the standard fields are returned.
Limit: The maximum allowed value for page_size in this version is 100 records per page.

Request

Authorization
API Key
Add parameter in header
private-merchant-id
Example:
private-merchant-id: ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Successful query. Returns the paginated list of chargebacks matching the applied filters.
Bodyapplication/json

🟠400
🟠401
🟠403
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api-uat.kushkipagos.com/data/v1/chargebacks/search' \
--header 'private-merchant-id: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "filters": {
        "time": {
            "transaction_date": {
                "from": "2026-02-01",
                "to": "2026-02-28"
            }
        }
    },
    "pagination": {
        "page": 1,
        "page_size": 20
    }
}'
Response Response Example
200 - default
{
    "data": [
        {
            "id": "0c2dac27-ba93-4d82-86ec-fd960186cb5e",
            "chargeback_ticket_code": "1770146347760977",
            "merchant_name": "AGREGADOR",
            "chargeback_status": "INITIALIZED",
            "reason_code": "4834",
            "request_amount": 2325.3,
            "currency_code": "USD",
            "transaction_date": "2026-01-08T22:24:09.611Z",
            "request_date": "2026-02-01T00:00:00Z",
            "deadline_representation_date": "2026-02-15T00:00:00Z",
            "deadline_resolution_date": "2026-06-01T00:00:00Z",
            "risk_level": "MEDIUM"
        },
        {
            "id": "1a3ebc38-cd04-5e93-97fd-ge071297dc6f",
            "chargeback_ticket_code": "1770146347359650",
            "merchant_name": "AGREGADOR",
            "chargeback_status": "INITIALIZED",
            "reason_code": "4853",
            "request_amount": 13300,
            "currency_code": "USD",
            "transaction_date": "2025-11-15T01:16:42.015Z",
            "request_date": "2026-02-01T00:00:00Z",
            "deadline_representation_date": "2026-02-15T00:00:00Z",
            "deadline_resolution_date": "2026-06-01T00:00:00Z",
            "risk_level": "MEDIUM"
        },
        {
            "id": "2b4fcd49-de15-6fa4-a8ge-hf182308ed7g",
            "chargeback_ticket_code": "NO_INFO",
            "merchant_name": "CRUCO CAPITAL HUMANO 4",
            "chargeback_status": "NOT_MARKABLE",
            "reason_code": "4837",
            "request_amount": 1165.13,
            "currency_code": "USD",
            "transaction_date": "2026-01-22T18:48:57Z",
            "request_date": "2026-02-01T00:00:00Z",
            "deadline_representation_date": "2026-02-15T00:00:00Z",
            "deadline_resolution_date": "2026-06-01T00:00:00Z",
            "risk_level": "HIGH"
        }
    ],
    "page": 1,
    "page_size": 20,
    "total": 19990,
    "total_pages": 1000
}
Modified at 2026-07-22 20:47:36
Previous
Chargebacks
Next
Request chargeback export
Built with